import type { _DOMCSSRule } from "./DOMCSSRule.js";
import type { _DOMCSSRuleList } from "./DOMCSSRuleList.js";
import type { _DOMStyleSheet } from "./DOMStyleSheet.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _DOMCSSStyleSheet extends _DOMStyleSheet {
    static alloc(): _DOMCSSStyleSheet;
    static new(): _DOMCSSStyleSheet;
    init(): _DOMCSSStyleSheet;
    insertRule$index$(rule: _NSString, index: number): number;
    deleteRule$(index: number): void;
    addRule$style$index$(selector: _NSString, style: _NSString, index: number): number;
    removeRule$(index: number): void;
    insertRule$$(rule: _NSString, index: number): number;
    ownerRule(): _DOMCSSRule;
    cssRules(): _DOMCSSRuleList;
    rules(): _DOMCSSRuleList;
}
